<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.zcxk</groupId>
    <artifactId>platform</artifactId>
    <version>1.0-SNAPSHOT</version>
    <modules>
        <module>common</module>
        <module>gateway</module>
        <module>message</module>
        <module>sms_water</module>
        <module>user_auth</module>
        <module>user_center</module>
        <module>operation_manager</module>
        <module>zoniot-common/zoniot-core-common</module>
        <module>zoniot-common/zoniot-core-mongo</module>
        <module>zoniot-common/zoniot-core-mysql</module>
        <module>zoniot-common/zoniot-core-mq</module>
        <module>zoniot-common/zoniot-core-oauth2</module>
        <module>zoniot-common/zoniot-core-redis</module>
        <module>zoniot-common/zoniot-core-utils</module>
        <module>zoniot-rmcp</module>
        <module>zoniot-charge</module>
    </modules>

    <!--父工程打包方式为pom-->
    <packaging>pom</packaging>
    <!--spring boot 父启动器依赖-->
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.6.RELEASE</version>
    </parent>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <spring-cloud-dependencies.version>Greenwich.RELEASE</spring-cloud-dependencies.version>
        <java.version>1.8</java.version>
        <projectlombok-lombok.version>1.18.4</projectlombok-lombok.version>
        <springfox-swagger2.version>2.7.0</springfox-swagger2.version>
        <mysql-connector.version>5.1.47</mysql-connector.version>
        <mybatis-plus-boot.version>3.2.0</mybatis-plus-boot.version>
        <spring-security-oauth2-autoconfigure.version>2.1.11.RELEASE</spring-security-oauth2-autoconfigure.version>
        <spring-security-oauth2.version>2.3.4.RELEASE</spring-security-oauth2.version>
        <google.guava.version>20.0</google.guava.version>
        <spring-cloud-alibaba-dependencies.version>2.1.0.RELEASE</spring-cloud-alibaba-dependencies.version>
        <com.alibaba.fastjson.version>1.2.75</com.alibaba.fastjson.version>
        <org.apache.commons.lang3.version>3.7</org.apache.commons.lang3.version>
        <spring-cloud-commons.version>2.1.0.RELEASE</spring-cloud-commons.version>
        <zoniot.version>1.0-SNAPSHOT</zoniot.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!--spring cloud依赖管理，引入了Spring Cloud的版本-->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud-dependencies.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!--SCA -->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba-dependencies.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!--SCA -->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql-connector.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus-boot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.security.oauth.boot</groupId>
                <artifactId>spring-security-oauth2-autoconfigure</artifactId>
                <version>${spring-security-oauth2-autoconfigure.version}</version>
                <exclusions>
                    <exclusion>
                        <artifactId>jaxb-runtime</artifactId>
                        <groupId>org.glassfish.jaxb</groupId>
                    </exclusion>
                    <exclusion>
                        <artifactId>spring-security-oauth2</artifactId>
                        <groupId>org.springframework.security.oauth</groupId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.springframework.security.oauth</groupId>
                <artifactId>spring-security-oauth2</artifactId>
                <version>${spring-security-oauth2.version}</version>
            </dependency>
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>${google.guava.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${com.alibaba.fastjson.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${org.apache.commons.lang3.version}</version>
            </dependency>
            <!--zoniot-common-->
            <dependency>
                <groupId>com.zcxk</groupId>
                <artifactId>zoniot-core-common</artifactId>
                <version>${zoniot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.zcxk</groupId>
                <artifactId>zoniot-core-utils</artifactId>
                <version>${zoniot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.zcxk</groupId>
                <artifactId>zoniot-core-mysql</artifactId>
                <version>${zoniot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.zcxk</groupId>
                <artifactId>zoniot-core-mq</artifactId>
                <version>${zoniot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.zcxk</groupId>
                <artifactId>zoniot-core-mongo</artifactId>
                <version>${zoniot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.zcxk</groupId>
                <artifactId>zoniot-core-redis</artifactId>
                <version>${zoniot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.zcxk</groupId>
                <artifactId>zoniot-core-oauth2</artifactId>
                <version>${zoniot.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!--web依赖-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <!--lombok工具-->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>${projectlombok-lombok.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>${springfox-swagger2.version}</version>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
            <version>${springfox-swagger2.version}</version>
            <exclusions>
                <exclusion>
                    <artifactId>guava</artifactId>
                    <groupId>com.google.guava</groupId>
                </exclusion>
            </exclusions>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <!--编译插件 -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                    <encoding>utf-8</encoding>
                </configuration>
            </plugin>
            <!--打包插件-->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>